import type { CodeGenOpts, CodeGenOptsBase, Field, FuncPointer, ICodeGen, Struct, TypeColl, Union } from "./api.js";
/**
 * Zig code generator options.
 */
export interface ZigOpts extends CodeGenOptsBase {
}
/**
 * Zig code generator. Call with options and then pass to {@link generateTypes}
 * (see its docs for further usage).
 *
 * @remarks
 * This codegen generates struct and enum definitions for a {@link TypeColl}
 * given to {@link generateTypes}.
 *
 * @param opts
 */
export declare const ZIG: (opts?: Partial<ZigOpts>) => ICodeGen;
/** @internal */
export declare const fieldType: (f: Field, parent: Struct | Union | FuncPointer, coll: TypeColl, opts: CodeGenOpts) => {
    type: string;
    defaultVal: string;
};
//# sourceMappingURL=zig.d.ts.map